# Person Configuration Kit

This recipe creates a system for storing and displaying people on your website.
Common examples where this is needed are a staff directory, faculty list, or
board of directors page.

In addition to creating a content type for managing people, this also provides a
view for displaying them, sorted alphabetically by last name.

For a full description of the recipe, visit the [project page](https://www.drupal.org/project/person).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/person).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This recipe requires the [Auto Entity Label](https://www.drupal.org/project/auto_entitylabel) and [Token](https://www.drupal.org/project/token) modules.


## Installation

- Install the Person recipe as you would normally install a contributed Drupal
  recipe. See the Recipes [Getting Started Guide](https://git.drupalcode.org/project/distributions_recipes/-/blob/1.0.x/docs/getting_started.md) for further information. We strongly recommend using
  composer to ensure all dependencies will be handled automatically.


## Configuration

1. When installed, the provided People view will have two displays: one for a
   standard list display, and the other a `"glossary"` view showing people whose
   last names begin with a specific letter. It's likely that you site only needs
   one of these, so disable or delete the version you don't intend to use.
2. You may want to customize what information is captured and displayed for the
   Person nodes on your site. If so, add fields according to the documentation
   at `https://www.drupal.org/docs/7/nodes-content-types-and-fields/add-a-field-to-a-content-type`


## Maintainers

- Martin Anderson-Clutz - [mandclu](https://www.drupal.org/u/mandclu)
- chrislynch42 - [chrislynch42](https://www.drupal.org/user/42169)
